Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1505

Summary: XF86VidModeGetAllModeLines in XFree XF86VIDMODE Broken on alpha
Product: [Retired] Red Hat Linux Reporter: davenrs
Component: XFree86Assignee: David Lawrence <dkl>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: alpha   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-04-06 22:02:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description davenrs 1999-03-14 04:31:52 UTC
While trying to run a TV capure card on my 164LX-533 alpha
on a Trio64 (4mb video ram) video card, the X libs freeze
up.

The program was recompiled (have tried both tvset-net and
xawtv , with the same resulting problem produced in a
backtrace)

using GDB,
0x20000c0cce0 in __select () at __select:2
__select:2: No such file or directory.
(gdb) bt
#0  0x20000c0cce0 in __select () at __select:2
#1  0x200009d5ebc in _XWaitForReadable ()
#2  0x200009d6ec8 in _XRead ()
#3  0x200009d8cdc in _XEatData ()
#4  0x12001b4b0 in XF86VidModeGetAllModeLines ()
#5  0x12000b984 in xfree_init () at main.c:2083

Bool XF86VidModeGetAllModeLines(
           Display *display,
           int screen,
           int *modecount_return,
           XF86VidModeModeInfo **modesinfo);

goes into the select and never returns!!
Roger

Comment 1 David Lawrence 1999-03-18 16:20:59 UTC
Does this ever happen under normal use when not using the TV capture
card?

Comment 2 davenrs 1999-03-18 19:14:59 UTC
This happens before the tvcard is opened /dev/video0.  i could isolate
the code and create a test program if you like.

Comment 3 Preston Brown 1999-03-18 21:32:59 UTC
Please do so.  If you find the exact cause of the problem, make sure
to submit it to the XFree86 team.